package m05bBD;

/**
 * This class holds information about an order,
 * which is stored in the database table <tt>m0534t00_vehiculos</tt>.
 * The table <tt>m0534t00_vehiculos</tt> is defined in the database as follows:
 * <pre>
CREATE TABLE M0534T00 (
  MATRIC_34	,  MARCA_34,  RANGO_34,  FACTUAL_34,  COLOR_34,  FMATRIC_34,  CV_FISC_34,  VCONTAB_34,
  VIDAUTIL_34,  IMP_BAJA_34,  DESDPTO_34,  MOTIVBAJA_34,  MESREVIS_34	,  APARCADO_34,  OBSERV_34,  AMOACUM_34    ,
  CODDPTO_34,  REGADQUIS_34,  KMREVIS_34,  ROTUL_34,   INF_ADIC2_34  ,  KM_ACT_34,  FKM_ACT_34,  FGARANTIA_34  ,
  EXPTE_34,  NSERIE_34,  FALTA_34,  FBAJA_34,   POLIZA_34,  PRECIO_34,  AMOANUAL_34	,  SITUACION_34  ,
  FADQUIS_34,  DESTINO_34,  AUTAPARC_34,  INF_ADIC1_34,   INF_ADIC2_34,  COD_MOD_34,
  PRIMARY KEY ( MATRIC_34 ));
 * </pre>
 * This class follows the convention of a JavaBean.
 *
 */
public class m05bVehiculos implements java.io.Serializable{
  private String veh_matricula   			= "";
  private String veh_marca        			= "";
  private String veh_rango	     			= "";
  private String veh_factual      			= "";
  private String veh_color        			= "";
  private String veh_fmatric				= "";
  private String veh_vcontab	     		= "";
  private String veh_vidautil      			= "";
  private String veh_impbaja       			= "";
  private String veh_desdpto				= "";
  private String veh_motbaja    			= "";
  private String veh_mesrevis     			= "";
  private String veh_aparcado	   			= "";
  private String veh_observ      			= "";
  private String veh_kmact        			= "";
  private String veh_fkmact	    			= "";
  private String veh_fgarantia	     		= "";
  private String veh_expte        			= "";
  private String veh_nserie       			= "";
  private String veh_falta  				= "";
  private String veh_fbaja    	   			= "";
  private String veh_poliza      			= "";
  private String veh_precio        			= "";
  private String veh_amoanual	   			= "";
  private String veh_situacion	     		= "";
  private String veh_fadquis       			= "";
  private String veh_destino       			= "";
  private String veh_autaparc  				= "";
  private String veh_iadic1        			= "";
  private String veh_modelo 	   			= "";
  private String veh_amoacum	     		= "";
  private String veh_coddpto       			= "";
  private String veh_regadq       			= "";
  private String veh_kmrevis  				= "";
  private String veh_rotul  				= "";
  private String veh_iadic2        			= "";
  private String veh_matricant              = "";
  private String veh_cvfisc                 = "";
  private String veh_imptransf              = "";
  private String veh_cvreal                 = "";
  private String veh_fbajatemp    	     	= "";
  private String veh_fcedido    	   		= "";

  public String getVeh_matricula(){return veh_matricula;}
  public void setVeh_matricula (String n){veh_matricula = n;}

  public String getVeh_marca(){return veh_marca;}
  public void setVeh_marca(String n){veh_marca = n;
  	}
  public String getVeh_rango(){return veh_rango;}
  public void setVeh_rango(String n){veh_rango = n;}
  public String getVeh_factual(){return veh_factual;}
  public void setVeh_factual(String n){veh_factual = n;}

  public String getVeh_color(){return veh_color;}
  public void setVeh_color(String n){veh_color = n;}
  public String getVeh_fmatric(){return veh_fmatric;}
  public void setVeh_fmatric(String n){
  veh_fmatric = n;}
  public String getVeh_vcontab(){return veh_vcontab;}
  public void setVeh_vcontab (String n){veh_vcontab = n;}
  public String getVeh_vidautil(){return veh_vidautil;}
  public void setVeh_vidautil(String n){veh_vidautil = n;}

  public String getVeh_impbaja(){return veh_impbaja;}
  public void setVeh_impbaja(String n){veh_impbaja = n;}
  public String getVeh_desdpto(){return veh_desdpto;}
  public void setVeh_desdpto(String n){veh_desdpto = n;}
  public String getVeh_motbaja(){return veh_motbaja;}
  public void setVeh_motbaja(String n){veh_motbaja = n;}

  public String getVeh_mesrevis(){return veh_mesrevis;}
  public void setVeh_mesrevis(String n){veh_mesrevis = n;}

  public String getVeh_aparcado(){return veh_aparcado;}
  public void setVeh_aparcado(String n){veh_aparcado = n;}

  public String getVeh_observ(){return veh_observ;}
  public void setVeh_observ(String n){veh_observ = n;}
  public String getVeh_kmact(){return veh_kmact;}
  public void setVeh_kmact(String n){veh_kmact = n;}
  public String getVeh_fkmact(){return veh_fkmact;}
  public void setVeh_fkmact (String n){veh_fkmact = n;}

  public String getVeh_fgarantia(){return veh_fgarantia;}
  public void setVeh_fgarantia(String n){veh_fgarantia = n;}

  public String getVeh_expte(){return veh_expte;}
  public void setVeh_expte(String n){veh_expte = n;}

  public String getVeh_nserie(){return veh_nserie;}
  public void setVeh_nserie(String n){veh_nserie = n;}

  public String getVeh_falta(){return veh_falta;}
  public void setVeh_falta(String n){veh_falta = n;}
  public String getVeh_fbaja(){return veh_fbaja;}
  public void setVeh_fbaja(String n){veh_fbaja = n;}
  public String getVeh_fbajatemp(){return veh_fbajatemp;}
  public void setVeh_fbajatemp(String n){veh_fbajatemp = n;}
  public String getVeh_fcedido(){return veh_fcedido;}
  public void setVeh_fcedido(String n){veh_fcedido = n;}
  public String getVeh_poliza(){return veh_poliza;}
  public void setVeh_poliza(String n){veh_poliza = n;}
  public String getVeh_precio(){return veh_precio;}
  public void setVeh_precio(String n){veh_precio = n;}

  public String getVeh_amoanual(){return veh_amoanual;}
  public void setVeh_amoanual(String n){veh_amoanual = n;}
  public String getVeh_situacion(){return veh_situacion;}
  public void setVeh_situacion(String n){veh_situacion = n;}

  public String getVeh_fadquis(){return veh_fadquis;}
  public void setVeh_fadquis(String n){veh_fadquis = n;}
  public String getVeh_destino(){return veh_destino;}
  public void setVeh_destino(String n){veh_destino = n;}

  public String getVeh_autaparc (){return veh_autaparc ;}
  public void setVeh_autaparc  (String n){veh_autaparc  = n;}

  public String getVeh_iadic1(){return veh_iadic1;}
  public void setVeh_iadic1(String n){veh_iadic1 = n;}

  public String getVeh_modelo(){return veh_modelo;}
  public void setVeh_modelo(String n){veh_modelo = n;}

  public String getVeh_coddpto(){return veh_coddpto;}
  public void setVeh_coddpto(String n){veh_coddpto = n;}

  public String getVeh_amoacum(){return veh_amoacum;}
  public void setVeh_amoacum(String n){veh_amoacum = n;}

  public String getVeh_regadq(){return veh_regadq;}
  public void setVeh_regadq(String n){veh_regadq = n;}

  public String getVeh_kmrevis(){return veh_kmrevis;}
  public void setVeh_kmrevis(String n){veh_kmrevis = n;}

  public String getVeh_rotul(){return veh_rotul;}
  public void setVeh_rotul(String n){veh_rotul = n;}

  public String getVeh_iadic2(){return veh_iadic2;}
  public void setVeh_iadic2(String n){veh_iadic2 = n;}

  public String getVeh_matricant () {return veh_matricant;}
  public void setVeh_matricant (String n){veh_matricant=n;}

  public String getVeh_cvfisc () {return veh_cvfisc;}
  public void setVeh_cvfisc (String n) {veh_cvfisc=n;}
  
  public String getVeh_cvreal () {return veh_cvreal;}
  public void setVeh_cvreal (String n) {veh_cvreal=n;}
  

 //** Importe Transferencia:*/
  public String getVeh_imptransf(){return veh_imptransf;}
  public void setVeh_imptransf(String n) {veh_imptransf=n;}
  public String toString(){
    String s = "";
    s += "[Matricula = " + veh_matricula + "]";
    s += "[Marca = " + veh_marca + "]";
    s += "[Rango = " + veh_rango + "]";
    s += "[Fecha Actual = " + veh_factual + "]";
    s += "[Color = " + veh_color + "]";
    s += "[Fecha Matriculacion = " + veh_fmatric + "]";
    s += "[Fiscal = " + veh_matricula + "]";
    s += "[Contabilidad = " + veh_marca + "]";
    s += "[Vida Util = " + veh_vidautil + "]";
    s += "[Imp baja = " + veh_impbaja + "]";
    s += "[Desc Dpto = " + veh_desdpto + "]";
    s += "[Motivo Baja = " + veh_motbaja + "]";
    s += "[Mes Revision = " + veh_mesrevis + "]";
    s += "[Aparcado = " + veh_aparcado + "]";
    s += "[Rango = " + veh_rango + "]";
    s += "[Observacion = " + veh_observ + "]";
    s += "[Km Actuales = " + veh_kmact + "]";
    s += "[Fecha Km Actuales = " + veh_fkmact + "]";
    s += "[Fec Garantia = " + veh_fgarantia + "]";
    s += "[Expdte = " + veh_expte + "]";
    s += "[N Serie = " + veh_nserie + "]";
    s += "[Fecha Alta = " + veh_falta + "]";
    s += "[Fecha Baja = " + veh_fbaja + "]";
    s += "[Fecha Cedido = " + veh_fcedido + "]";
    s += "[Fecha BajaTemp = " + veh_fbajatemp + "]";
    s += "[Poliza = " + veh_poliza + "]";
    s += "[Fecha Alta = " + veh_falta + "]";
    s += "[Fecha Baja = " + veh_fbaja + "]";
    s += "[Poliza = " + veh_poliza + "]";
    s += "[Precio = " + veh_precio + "]";
    s += "[Amortiz Anual = " + veh_amoanual + "]";
    s += "[Situacion = " + veh_situacion + "]";
    s += "[Fecha Adquisicion = " + veh_fadquis + "]";
    s += "[Destino = " + veh_destino + "]";
    s += "[Autaparc = " + veh_autaparc + "]";
    s += "[Informacion Adic1 = " + veh_iadic1 + "]";
    s += "[Informacion Adic2 = " + veh_iadic2+ "]";
    s += "[Modelo = " + veh_modelo + "]";
    s += "[Amortiz Acumulada = " + veh_amoacum + "]";
    s += "[Cod Depto = " + veh_coddpto + "]";
    s += "[Regimen Adquisicion = " + veh_regadq + "]";
    s += "[Km Revision = " + veh_kmrevis + "]";
    s += "[Rotul = " + veh_rotul + "]";
    s += "[Matricula Anterior = "+veh_matricant+"]";
    s += "[CV FISCAL"+veh_cvfisc+"]";
    s += "[CV REAL"+veh_cvreal+"]";
    
    return s;
  }
 }